List Integrations
curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrations": [
{
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"provider": "microsoft",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations V2
List Integrations
GET
/
integrations
/
v2
/
integrations
List Integrations
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Show child attributes
Show child attributes
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
⌘I